AccessLogEntry (Access Logger ASL Extension 1.3.0-4.1.0-125698 API)
Date: 2016-10-27

org.gcube.application.framework.accesslogger.model

## Class AccessLogEntry

- java.lang.Object
- - org.gcube.application.framework.accesslogger.model.AccessLogEntry

- Direct Known Subclasses:
    AbstractSearchAccessLogEntry, AdvancedSearchAccessLogEntry, BrowseAccessLogEntry, ContentRetrievalLogEntry, CreateAnnotationLogEntry, DeleteAnnotationLogEntry, EditAnnotationLogEntry, GenericAccessLogEntry, GoogleAccessLogEntry, LoginToVreAccessLogEntry, QuickSearchAccessLogEntry, SemanticEnrichmentAccessLogEntry, SimpleSearchAccessLogEntry

      public abstract class AccessLogEntry
      extends Object

  Abstract class representing a general entry for the logger
  Author:
    Panagiota Koltsida, NKUA

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `entryType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AccessLogEntry(String entryType)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getLogMessage()`
    `String` | `getType()`
    `static String` | `replaceReservedChars(String msgToReplace)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entryType

          protected String entryType

  - ### Constructor Detail

    - #### AccessLogEntry

          protected AccessLogEntry(String entryType)

      Parameters:
        `entryType` - The type of entry

  - ### Method Detail

    - #### getType

          public String getType()

      Returns:
        The type of Entry

    - #### getLogMessage

          public abstract String getLogMessage()

      Returns:
        The log message for the current entry

    - #### replaceReservedChars

          public static String replaceReservedChars(String msgToReplace)

Copyright © 2016. All Rights Reserved.